> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete SCM Integration

> Deletes an SCM integration.

`Unary` · [`Runner Configurations`](https://ona.com/docs/api-reference/generated/runner-configuration/overview)

Deletes an SCM integration.

Use this method to:

* Remove unused integrations
* Clean up configurations
* Revoke SCM access

### Examples

* Delete integration:

  Removes an SCM integration.

  ```yaml theme={null}
  id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.RunnerConfigurationService/DeleteSCMIntegration
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.RunnerConfigurationService/DeleteSCMIntegration" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "id": "<id>"
}'
```

```python Python theme={null}
import gitpod.v1.runner_configuration_pb2 as runner_configuration_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = runner_configuration_pb2.DeleteSCMIntegrationRequest(
    id="<id>",
)
response = ona.services.runner_configuration.delete_scm_integration(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { DeleteSCMIntegrationRequestSchema } from "@gitpod/sdk/gitpod/v1/runner_configuration_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(DeleteSCMIntegrationRequestSchema, {
    id: "<id>",
  });
  const response = await ona.services.runnerConfiguration.deleteSCMIntegration(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.DeleteSCMIntegrationRequest{
		Id: "<id>",
	})
	response, err := ona.Services.RunnerConfiguration.DeleteSCMIntegration(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "id": "<id>"
}
```

## Request

`gitpod.v1.DeleteSCMIntegrationRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `id` | string | No | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.DeleteSCMIntegrationResponse`

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.